/*
 * Copyright (C) 2007-2023 Xagasoft, All rights reserved.
 *
 * This file is part of the libbu++ library and is released under the
 * terms of the license contained in the file LICENSE.
 */

#include "bu/serverinterface.h"
#include "bu/server.h"

Bu::ServerInterface::ServerInterface( Server &rSrv ) :
    rSrv( rSrv )
{
}

Bu::ServerInterface::ServerInterface( const ServerInterface &rSrc ) :
    rSrv( rSrc.rSrv )
{
}

Bu::ServerInterface::~ServerInterface()
{
}

void Bu::ServerInterface::outputReady( int iClientId )
{
    rSrv.clientWriteReady( iClientId );
}

